<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.pcloud.book.weixinclock.dao.impl.WeixinClockShareDaoImpl" >
    <resultMap id="BaseResultMap" type="com.pcloud.book.weixinclock.entity.WeixinClockShare">
        <id column="id" property="id" jdbcType="BIGINT" />
        <result column="share_user_id" property="shareUserId" jdbcType="BIGINT"/>
        <result column="wx_group_id" property="wxGroupId" jdbcType="VARCHAR" />
        <result column="share_time" property="shareTime" jdbcType="TIMESTAMP" />
    </resultMap>

    <sql id="Base_Column_List" >
        id, share_user_id, wx_group_id, share_time
    </sql>

    <insert id="insert" parameterType="com.pcloud.book.weixinclock.entity.WeixinClockShare" useGeneratedKeys="true" keyProperty="id">
        insert into weixin_clock_share (share_user_id, wx_group_id, share_time)
        values (#{shareUserId}, #{wxGroupId}, #{shareTime})
    </insert>
</mapper>
